import * as echarts from "echarts";
import React, { CSSProperties } from "react";
import type { EChartsOption, ECharts as EChartsInstance } from "echarts";
export type { EChartsOption } from "echarts";
/** When the theme or initOption changes (shallow comparison), reinitialize Echarts */
export declare function useEChartsRef(domRef: React.RefObject<HTMLElement | null>, config?: UseEchartsOption): any;
export declare const ECharts: any;
export type ECharts = EChartsInstance;
export type EChartsInitOpts = NonNullable<Parameters<typeof echarts.init>[2]>;
export interface UseEchartsOption {
    theme?: string | object;
    init?: EChartsInitOpts;
    option?: EChartsOption;
    loading?: boolean;
    /** 固定渲染大小;  默认会自动监听 window resize 事件, 自动调用 Echarts.resize(); 设置为true将不会监听 */
    fixedSize?: boolean;
}
export type EChartsProps = UseEchartsOption & {
    style?: CSSProperties;
};
